package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安全隐患统计对象 tc_safety_county
 *
 * @author ruoyi
 * @date 2023-09-20
 */
@Data
public class TcSafetyCounty extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 区域id
     */
    @Excel(name = "区域id")
    @ApiModelProperty(value = "区域id")
    private Long areaId;

    /**
     * 类型名称
     */
    @Excel(name = "类型名称")
    @ApiModelProperty(value = "类型名称")
    private String typeName;

    /**
     * 数量
     */
    @Excel(name = "数量")
    @ApiModelProperty(value = "数量")
    private Long totalNum;

    /**
     * 创建人id
     */
    @Excel(name = "创建人id")
    @ApiModelProperty(value = "创建人id")
    private Long createId;

    /**
     * 修改人id
     */
    @Excel(name = "修改人id")
    @ApiModelProperty(value = "修改人id")
    private Long updateId;


}
